// Gender Roles, Work-Life Balance, and Running for Office
// Full Replication Do File

// Rachel Silbermann
// 2014 Dec 29

* Set cd as necessary


*******************************************************************************
*******************************************************************************
******************************** // TABLES \\ ********************************
*******************************************************************************
*******************************************************************************

*******************************************************************************
// Table 1: 
// Probability of Having at Least One Woman Candidate for State 
// Legislator (2008-2011) and Probability of State Legislator Being a Woman in 
// 2011 (Lower House)
// and Appendix Tables D1 and D2
*******************************************************************************

* Candidates
use "Candidates_State_Leg.dta", clear

eststo clear
qui eststo: xi: reg oneormore over2hrs i.state i.year if (mrp_estimate !=. & multimem !=. & ///
	prophighedwomen !=. & famsize !=. & clfpropwomen !=. & ///
	percentblack !=. & income1000s !=. & prop_women_cont !=. & prop_dem_cont!=.)

qui eststo: xi: reg oneormore over2hrs mrp_estimate multimem ///
	prophighedwomen famsize clfpropwomen ///
	percentblack income1000s prop_women_cont prop_dem_cont meandev_popdensity ///
	i.state i.year

qui eststo: xi: reg oneormore over2hrs mrp_estimate multimem ///
	prophighedwomen famsize clfpropwomen ///
	percentblack income1000s prop_women_cont prop_dem_cont meandev_popdensity ///
	u2xmeandev_mrp_estimate ///
	u2xmeandev_prophighedwomen u2xmeandev_famsize u2xmeandev_clfpropwomen ///
	u2xmeandev_percentblack u2xmeandev_income1000s ///
	u2xmeandev_prop_women_cont u2xmeandev_prop_dem_cont u2xmeandev_popdensity ///
	i.state i.year

qui eststo: xi: reg oneormore totalhrs totalhrssq i.state i.year if (mrp_estimate !=. & multimem !=. & ///
	prophighedwomen !=. & famsize !=. & clfpropwomen !=. & ///
	percentblack !=. & income1000s !=. & prop_women_cont !=. & prop_dem_cont!=.)

qui eststo: xi: reg oneormore totalhrs totalhrssq mrp_estimate multimem ///
	prophighedwomen famsize clfpropwomen ///
	percentblack income1000s prop_women_cont prop_dem_cont meandev_popdensity ///
	i.state i.year

qui eststo: xi: reg oneormore totalhrs totalhrssq mrp_estimate multimem ///
	prophighedwomen famsize clfpropwomen ///
	percentblack income1000s prop_women_cont prop_dem_cont meandev_popdensity ///
	hrsxmeandev_mrp_estimate ///
	hrsxmeandev_prophighedwomen hrsxmeandev_famsize hrsxmeandev_clfpropwomen ///
	hrsxmeandev_percentblack hrsxmeandev_income1000s ///
	hrsxmeandev_prop_women_cont hrsxmeandev_prop_dem_cont hrsxmeandev_popdensity ///
	hrssqxmeandev_mrp_estimate ///
	hrssqxmeandev_prophighedwomen hrssqxmeandev_famsize hrssqxmeandev_clfpropwomen ///
	hrssqxmeandev_percentblack hrssqxmeandev_income1000s ///
	hrssqxmeandev_prop_women_cont hrssqxmeandev_prop_dem_cont hrssqxmeandev_popdensity ///
	i.state i.year 

esttab * using TABLE1.rtf,  replace b(3) ///
	label se ar2 drop (_I*) nodepvars nomtitles nogaps ///
	nostar
	
* Legislators: 

use "Reps_State_Leg.dta", clear

eststo clear
qui eststo: xi: reg woman over2hrs i.state if (mrp_estimate !=. & multimem !=. & ///
	prophighedwomen !=. & famsize !=. & clfpropwomen !=. & ///
	percentblack !=. & income1000s !=. & prop_women_cont !=. & prop_dem_cont!=.)

qui eststo: xi: reg woman over2hrs mrp_estimate multimem ///
	prophighedwomen famsize clfpropwomen ///
	percentblack income1000s prop_women_cont prop_dem_cont meandev_popdensity ///
	i.state 
	
qui eststo: xi: reg woman over2hrs mrp_estimate multimem ///
	prophighedwomen famsize clfpropwomen ///
	percentblack income1000s prop_women_cont prop_dem_cont meandev_popdensity ///
	u2xmeandev_mrp_estimate ///
	u2xmeandev_prophighedwomen u2xmeandev_famsize u2xmeandev_clfpropwomen ///
	u2xmeandev_percentblack u2xmeandev_income1000s ///
	u2xmeandev_prop_women_cont u2xmeandev_prop_dem_cont u2xmeandev_popdensity ///
	i.state 

qui eststo: xi: reg woman totalhrs totalhrssq i.state if (mrp_estimate !=. & multimem !=. & ///
	prophighedwomen !=. & famsize !=. & clfpropwomen !=. & ///
	percentblack !=. & income1000s !=. & prop_women_cont !=. & prop_dem_cont!=.)

qui eststo: xi: reg woman totalhrs totalhrssq mrp_estimate multimem ///
	prophighedwomen famsize clfpropwomen ///
	percentblack income1000s prop_women_cont prop_dem_cont meandev_popdensity ///
	i.state 

qui eststo: xi: reg woman totalhrs totalhrssq mrp_estimate multimem ///
	prophighedwomen famsize clfpropwomen ///
	percentblack income1000s prop_women_cont prop_dem_cont meandev_popdensity ///
	hrsxmeandev_mrp_estimate ///
	hrsxmeandev_prophighedwomen hrsxmeandev_famsize hrsxmeandev_clfpropwomen ///
	hrsxmeandev_percentblack hrsxmeandev_income1000s ///
	hrsxmeandev_prop_women_cont hrsxmeandev_prop_dem_cont hrsxmeandev_popdensity ///
	hrssqxmeandev_mrp_estimate ///
	hrssqxmeandev_prophighedwomen hrssqxmeandev_famsize hrssqxmeandev_clfpropwomen ///
	hrssqxmeandev_percentblack hrssqxmeandev_income1000s ///
	hrssqxmeandev_prop_women_cont hrssqxmeandev_prop_dem_cont hrssqxmeandev_popdensity ///
	i.state  
esttab * using TABLE1A.rtf,  replace b(3) ///
	label se ar2 drop (_I*) nodepvars nomtitles nogaps ///
	nostar

*******************************************************************************
// Table 2: Placebo Test: Proportion of Local Politicians in State Legislative 
// District Who Are Women 
// and Appendix Table D4
*******************************************************************************

use "Local_Pols.dta", clear

* mean-deviating population density
foreach var in popdensity{
	egen mean_`var'=mean(`var'), by(state)
	gen  meandev_`var'=`var'- mean_`var'
	gen u2xmeandev_`var'= over2hrs * meandev_`var'
	label var u2xmeandev_`var' "2 Hr Dum*`var'"
}
gen hrsxmeandev_popdensity=totalhrs*meandev_popdensity
gen hrssqxmeandev_popdensity=totalhrssq*meandev_popdensity

eststo clear
qui eststo: xi: reg propwomenlocal over2hrs i.state  if (mrp_estimate !=. & multimem !=. & ///
	prophighedwomen !=. & famsize !=. & clfpropwomen !=. & ///
	percentblack !=. & income1000s !=. & prop_women_cont !=. & prop_dem_cont!=.)

qui eststo: xi: reg propwomenlocal over2hrs mrp_estimate multimem ///
	prophighedwomen famsize clfpropwomen ///
	percentblack income1000s prop_women_cont prop_dem_cont meandev_popdensity ///
	i.state 
	
qui eststo: xi: reg propwomenlocal over2hrs mrp_estimate multimem ///
	prophighedwomen famsize clfpropwomen ///
	percentblack income1000s prop_women_cont prop_dem_cont meandev_popdensity ///
	u2xmeandev_mrp_estimate ///
	u2xmeandev_prophighedwomen u2xmeandev_famsize u2xmeandev_clfpropwomen ///
	u2xmeandev_percentblack u2xmeandev_income1000s ///
	u2xmeandev_prop_women_cont u2xmeandev_prop_dem_cont u2xmeandev_popdensity ///
	i.state 

qui eststo: xi: reg propwomenlocal totalhrs totalhrssq i.state ///
	if (mrp_estimate !=. & multimem !=. & ///
	prophighedwomen !=. & famsize !=. & clfpropwomen !=. & ///
	percentblack !=. & income1000s !=. & prop_women_cont !=. & prop_dem_cont!=.)

qui eststo: xi: reg propwomenlocal totalhrs totalhrssq mrp_estimate multimem ///
	prophighedwomen famsize clfpropwomen ///
	percentblack income1000s prop_women_cont prop_dem_cont meandev_popdensity ///
	i.state 

qui eststo: xi: reg propwomenlocal totalhrs totalhrssq mrp_estimate multimem ///
	prophighedwomen famsize clfpropwomen ///
	percentblack income1000s prop_women_cont prop_dem_cont ///
	hrsxmeandev_mrp_estimate meandev_popdensity ///
	hrsxmeandev_prophighedwomen hrsxmeandev_famsize hrsxmeandev_clfpropwomen ///
	hrsxmeandev_percentblack hrsxmeandev_income1000s ///
	hrsxmeandev_prop_women_cont hrsxmeandev_prop_dem_cont hrsxmeandev_popdensity ///
	hrssqxmeandev_mrp_estimate ///
	hrssqxmeandev_prophighedwomen hrssqxmeandev_famsize hrssqxmeandev_clfpropwomen ///
	hrssqxmeandev_percentblack hrssqxmeandev_income1000s ///
	hrssqxmeandev_prop_women_cont hrssqxmeandev_prop_dem_cont hrssqxmeandev_popdensity ///
	i.state  
	
esttab * using TABLE2.rtf,  replace b(3) ///
	label se ar2 drop (_I*) nodepvars nomtitles nogaps ///
		nostar

*******************************************************************************
// Appendix Table A1:
// District-Year Sample Statistics. 
*******************************************************************************
use  "Candidates_State_Leg.dta", clear

tabstat oneormore over2hrs totalhrs mrp_estimate multimem prophighedwomen ///
	famsize clfpropwomen percentblack income1000s prop_women_cont ///
	prop_dem_cont popdensity ///
	if (mrp_estimate !=. & multimem !=. & ///
	prophighedwomen !=. & famsize !=. & clfpropwomen !=. & ///
	percentblack !=. & income1000s !=. & prop_women_cont !=. & prop_dem_cont!=.) ///
	, by(oneormore) stats(mean sd)


*******************************************************************************
// Appendix Table A2:
// State Legislator Sample Statistics 
*******************************************************************************
use "Reps_State_Leg.dta", clear

tabstat woman totalhrs over2hrs mrp_estimate multimem prophighedwomen ///
	famsize clfpropwomen percentblack income1000s prop_women_cont ///
	prop_dem_cont popdensity ///
	if (mrp_estimate !=. & multimem !=. & ///
	prophighedwomen !=. & famsize !=. & clfpropwomen !=. & ///
	percentblack !=. & income1000s !=. & prop_women_cont !=. & prop_dem_cont!=.) ///
	, by(woman) stats(mean sd)
	
*******************************************************************************
// Appendix Table E1: 
// Replication of Table 1, Models 1-3:(Probability of Having at Least One 
// Woman Candidate for State Legislator (Lower House), 2008-2011), Limiting 
// the Sample to Districts Used in the Section ''Placebo Test: Women in Local 
// Government'' 
*******************************************************************************
use "Local_Pols.dta", clear

merge 1:m geoid10 using "Candidates_State_Leg.dta" 
* merge local politician data with candidates data
* includedinlocal is a dummy variable for legislative districts that have 
* data on proportion of women local politicians.

*rerun regressions, limiting sample to legislative districts that have 
* data on proportion of women local politicians:

eststo clear
qui eststo: xi: reg oneormore over2hrs i.state i.year if includedinlocal==1

qui eststo: xi: reg oneormore over2hrs mrp_estimate multimem ///
	prophighedwomen famsize clfpropwomen ///
	percentblack income1000s prop_women_cont prop_dem_cont meandev_popdensity ///
	i.state i.year if includedinlocal==1

qui eststo: xi: reg oneormore over2hrs mrp_estimate multimem ///
	prophighedwomen famsize clfpropwomen ///
	percentblack income1000s prop_women_cont prop_dem_cont meandev_popdensity ///
	u2xmeandev_mrp_estimate ///
	u2xmeandev_prophighedwomen u2xmeandev_famsize u2xmeandev_clfpropwomen ///
	u2xmeandev_percentblack u2xmeandev_income1000s ///
	u2xmeandev_prop_women_cont u2xmeandev_prop_dem_cont u2xmeandev_popdensity ///
	i.state i.year if includedinlocal==1

qui eststo: xi: reg oneormore totalhrs totalhrssq mrp_estimate multimem ///
	prophighedwomen famsize clfpropwomen ///
	percentblack income1000s prop_women_cont prop_dem_cont meandev_popdensity ///
	i.state i.year if includedinlocal==1

qui eststo: xi: reg oneormore totalhrs totalhrssq mrp_estimate multimem ///
	prophighedwomen famsize clfpropwomen ///
	percentblack income1000s prop_women_cont prop_dem_cont meandev_popdensity ///
	hrsxmeandev_mrp_estimate ///
	hrsxmeandev_prophighedwomen hrsxmeandev_famsize hrsxmeandev_clfpropwomen ///
	hrsxmeandev_percentblack hrsxmeandev_income1000s ///
	hrsxmeandev_prop_women_cont hrsxmeandev_prop_dem_cont hrsxmeandev_popdensity ///
	hrssqxmeandev_mrp_estimate ///
	hrssqxmeandev_prophighedwomen hrssqxmeandev_famsize hrssqxmeandev_clfpropwomen ///
	hrssqxmeandev_percentblack hrssqxmeandev_income1000s ///
	hrssqxmeandev_prop_women_cont hrssqxmeandev_prop_dem_cont hrssqxmeandev_popdensity ///
	i.state i.year if includedinlocal==1

esttab * using LOWERCANDREGS2_restricted.rtf,  replace b(3) ///
	label se ar2 drop (_I*) nodepvars nomtitles nogaps ///
	nostar

*******************************************************************************
// Appendix Table E2: 
// Table E2: Replication of Table 1, Models 4-6 (State Legislator Is a Woman
// (Lower House)), Limiting the Sample to Districts Used in the Section 
// ''Placebo Test: Women in Local Government.''
*******************************************************************************
use "Local_Pols.dta", clear

merge 1:m geoid10 using "Reps_State_Leg.dta"

eststo clear
qui eststo: xi: reg woman over2hrs i.state if includedinlocal==1

qui eststo: xi: reg woman over2hrs mrp_estimate multimem ///
	prophighedwomen famsize clfpropwomen ///
	percentblack income1000s prop_women_cont prop_dem_cont meandev_popdensity ///
	i.state if includedinlocal==1
	
qui eststo: xi: reg woman over2hrs mrp_estimate multimem ///
	prophighedwomen famsize clfpropwomen ///
	percentblack income1000s prop_women_cont prop_dem_cont meandev_popdensity ///
	u2xmeandev_mrp_estimate ///
	u2xmeandev_prophighedwomen u2xmeandev_famsize u2xmeandev_clfpropwomen ///
	u2xmeandev_percentblack u2xmeandev_income1000s ///
	u2xmeandev_prop_women_cont u2xmeandev_prop_dem_cont u2xmeandev_popdensity ///
	i.state if includedinlocal==1

qui eststo: xi: reg woman totalhrs totalhrssq mrp_estimate multimem ///
	prophighedwomen famsize clfpropwomen ///
	percentblack income1000s prop_women_cont prop_dem_cont meandev_popdensity ///
	i.state if includedinlocal==1

qui eststo: xi: reg woman totalhrs totalhrssq mrp_estimate multimem ///
	prophighedwomen famsize clfpropwomen ///
	percentblack income1000s prop_women_cont prop_dem_cont meandev_popdensity ///
	hrsxmeandev_mrp_estimate ///
	hrsxmeandev_prophighedwomen hrsxmeandev_famsize hrsxmeandev_clfpropwomen ///
	hrsxmeandev_percentblack hrsxmeandev_income1000s ///
	hrsxmeandev_prop_women_cont hrsxmeandev_prop_dem_cont hrsxmeandev_popdensity ///
	hrssqxmeandev_mrp_estimate ///
	hrssqxmeandev_prophighedwomen hrssqxmeandev_famsize hrssqxmeandev_clfpropwomen ///
	hrssqxmeandev_percentblack hrssqxmeandev_income1000s ///
	hrssqxmeandev_prop_women_cont hrssqxmeandev_prop_dem_cont hrssqxmeandev_popdensity ///
	i.state  if includedinlocal==1
esttab * using LOWERREPREGS4_restricted.rtf,  replace b(3) ///
	label se ar2 drop (_I*) nodepvars nomtitles nogaps ///
	nostar

*******************************************************************************
// Appedix Table G1: Yale Sample Statistics
// Table of Yale Sample statistics for students in the survey experiment 
// reported in this paper
*******************************************************************************
use "Yale_Survey.dta", clear

tabstat female if treatment<3, stats(mean n)

tab race3 if treatment<3

*******************************************************************************
// Appedix Table H1: Choose to Be a Representative in State Over National 
// Government in Survey Experiment, by Sample
*******************************************************************************
use "Survey_Experiment_Both_Samples.dta", clear

label define gender 0 "Men" 1 "Women"
label values female gender

gen state_close_f=choosestate if (female==1 & treatdistance=="close")
gen state_close_m=choosestate if (female==0 & treatdistance=="close")

gen state_far_f= choosestate if (female==1 & treatdistance=="far")
gen state_far_m= choosestate if (female==0 & treatdistance=="far")

label define survey 0 "Yale" 1 "YouGov"
label values yougov survey

eststo clear
estpost tabstat state_far_m state_close_m state_far_f state_close_f if yougov==0, ///
	stats(mean semean n) column(statistics) 
esttab using yale_experiment.rtf, replace nostar cells("mean(fmt(3))" semean(par fmt(3))) aux(numsum 1) nostar unstack nonote nomtitle nonumber label noobs lines

eststo clear
estpost tabstat state_far_m state_close_m state_far_f state_close_f if yougov==1, ///
	stats(mean semean n) column(statistics) 
esttab using yougov_experiment.rtf, replace nostar cells("mean(fmt(3))" semean(par fmt(3))) aux(numsum 1) nostar unstack nonote nomtitle nonumber label noobs lines


*******************************************************************************
*******************************************************************************
******************************** // FIGURES \\ ********************************
*******************************************************************************
*******************************************************************************


*******************************************************************************
// Fig. 1
// Career Interest
*******************************************************************************

use "YouGov_Survey.dta", clear

sort gender
svyset, clear
svyset caseid [pweight=weight], vce(linearized) singleunit(missing)
eststo clear
eststo: svy: mean career_ceob career_part career_lawy career_pres career_natl career_stlo career_prnt, over(gender) 

* clean in excel and save as "Career_Interest_Yougov.dta"

use "Career_Interest_Yougov.dta", clear

sort gender
separate mean, by(gender) veryshortlabel
separate ub, by(gender) veryshortlabel
separate lb, by(gender) veryshortlabel
gen axis = . 
replace axis = 1 if (career=="CEO" & gender=="Male")
replace axis = 2.5 if (career=="Law partner" & gender=="Male")
replace axis = 4 if (career=="Attorney, small firm" & gender=="Male")
replace axis = 5.5 if (career=="Stay-at-home parent" & gender=="Male")
replace axis = 7 if (career=="State Govt. Rep" & gender=="Male")
replace axis = 8.5 if (career=="National Govt. Rep." & gender=="Male")
replace axis = 10 if (career=="President" & gender=="Male")

replace axis = 1.5 if (career=="CEO" & gender=="Female")
replace axis = 3 if (career=="Law partner" & gender=="Female")
replace axis = 4.5 if (career=="Attorney, small firm" & gender=="Female")
replace axis = 6 if (career=="Stay-at-home parent" & gender=="Female")
replace axis = 7.5 if (career=="State Govt. Rep" & gender=="Female")
replace axis = 9 if (career=="National Govt. Rep." & gender=="Female")
replace axis = 10.5 if (career=="President" & gender=="Female")

graph twoway rcap ub1 lb1 axis || ///
	rcap ub2 lb2 axis || scatter mean1 mean2 axis, scheme(tufte) ///
	xtitle("") ///
	ylabel(1.1 "Not at all" 1 "interested"  2.1 "Slightly" 2 "interested" ///
		3.1 "Somewhat" 3 "interested",  labsize(small) noticks nogrid) ///
	yline(1 2 3, lstyle(grid)) ///
	xlabel(1.25 "CEO" 2.5 "Law partner" 4.2 "Lawyer" 4.5 "(small firm)" ///
	5.6 "Stay-at-home" 5.8 "parent" 7.3 "State govt." ///
	8.7 "Nat'l govt." 10.2 "President" , angle(45) labsize(small) noticks) ///
	legend(order(4 3) position(2) bmargin(0)) 
 	graph export bladiblah, as(tif) replace width(3900)

*******************************************************************************
// Fig. 3 
// Choose to Be a Representative in State Over National Government in Survey 
// Experiment
*******************************************************************************
use "Survey_Experiment_Both_Samples.dta", clear
set more off

gen state_close_f=choosestate if (female==1 & treatdistance=="close")
gen state_close_m=choosestate if (female==0 & treatdistance=="close")

gen state_far_f= choosestate if (female==1 & treatdistance=="far")
gen state_far_m= choosestate if (female==0 & treatdistance=="far")
	// makes GRAPHING VARIABLES: treatment x choose state government x gender

gen axis=. 
replace axis=.5 if  state_far_m!=. 
replace axis=.5 if state_close_m!=. 
replace axis=1.5 if state_far_f!=.
replace axis=1.5 if state_close_f!=.
	// makes axis variable for graphing

set more off
capture drop temp* label_*
foreach var in state_far_m state_close_m state_far_f state_close_f{ 
	egen mean_`var'=mean(`var') if `var'!=.
	egen count_`var'=count(`var')
	gen se_`var'= mean_`var'/(sqrt(count_`var'))
	gen tempm_`var'=round(mean_`var', .01)
	gen tempm2_`var'=string(tempm_`var')
	gen tempse_`var'=round(se_`var', .01)
	gen tempse2_`var'=string(tempse_`var')	
	gen label_`var'=tempm2_`var' + " (" + tempse2_`var' + ")" 
}
	// makes constants which are the mean and standard error for GRAPHING VARIABLES 

replace treatdistance="f a r" if treatdistance=="far"
replace treatdistance="c l o s e" if treatdistance=="close"

twoway scatter mean_state_far_f axis, msymbol(O) mcolor(black) mlabel(label_state_far_f) mlabc(gs3) mlabsty(p8) ||  /// 
scatter mean_state_close_f axis, msymbol(O)  mcolor(black) mlabel(label_state_close_f) mlabc(gs3)  || ///
scatter mean_state_far_m axis, msymbol(O)  mcolor(black) mlabel(label_state_far_m) mlabc(gs3)   || ///
scatter mean_state_close_m axis, msymbol(O)  mcolor(black) mlabel(label_state_close_m) mlabc(gs3)   || ///
scatter mean_state_far_f axis, msymbol(O)  mcolor(black) mlabel(treatdistance) mlabc(red) mlabposition(6) ||  /// 
scatter mean_state_close_f axis, msymbol(O)  mcolor(black) mlabel(treatdistance) mlabc(red) mlabposition(12)   || ///
scatter mean_state_far_m axis, msymbol(O)  mcolor(black) mlabel(treatdistance) mlabc(blue) mlabposition(6)   || ///
scatter mean_state_close_m axis, msymbol(O)  mcolor(black) mlabel(treatdistance) mlabc(blue) mlabposition(12)   ///
ytitle("Proportion Choosing State over National Government") ///
xtitle(" ") ///
yline(.5, lpattern(dash)) ///
xlabel(.3 " " .5 `""Men"  " " "N=430""' 1.5 `""Women" " " "N=511""' 2 " ", labsize(small) noticks) ///
ylabel(0(.1).8, labsize(small)) ///
legend(off) ///
ysize(10) xsize(10) scheme(tufte)

*******************************************************************************
// Fig. 4
// Gender Differences: Explanation for Choosing Close State Government over Far 
// National Government in Survey Experiment
*******************************************************************************

use "Coded_Text_Survey_Experiment.dta", clear

* Dataset contains hand-coded answers to open-ended question about why chose state over national 
* government job, limiting the sample to those in the "close" treatment who chose
* the state government job

* distance = explanations involving distance
* distance_f = explanations involving distance and also mentioning family
* preflocal = explanations based on preferring working in state or local government

* both samples
tabstat distance distance_f preflocal if /// 
	(treatdistance=="close" & choosestate==1), by(female) stats(mean semean count)

* yougov sample:
tabstat distance distance_f preflocal if  ///
	(yougov==1 & treatdistance=="close" & choosestate==1), by(female) stats(mean semean count)

* yale sample:
tabstat distance distance_f preflocal if  ///
	(yougov==0 & treatdistance=="close" & choosestate==1), by(female) stats(mean semean count)

* Using these results, calculate gender differences ("diff_fm" = mean_female-mean_male)
* saved results of this calculation as "explanations_fig.dta"

use "explanations_fig.dta"

* make axis variable
gen unique=group + variable
gen axis=1 if unique=="alldistance"
replace axis=2 if unique=="yougovdistance"
replace axis=3 if unique=="yaledistance"
replace axis=5 if unique=="alldistance_f"
replace axis=6 if unique=="yougovdistance_f"
replace axis=7 if unique=="yaledistance_f"
replace axis=9 if unique=="allpreflocal"
replace axis=10 if unique=="yougovpreflocal"
replace axis=11 if unique=="yalepreflocal"

gen label="All" if group=="all"
replace label="YouGov" if group=="yougov"
replace label="Yale" if group=="yale"

gen pos=3
replace pos=4 if group=="yougov"
replace pos=3 if axis==10
replace pos=2 if group=="yale"
replace pos=9 if axis==11

scatter diff_fm axis, mlabel(label)  mcolor(black) mlabv(pos) ///
 || rcap ub lb axis , lcolor(black)  ///
yline(0, lpattern(dash)) ///
legend(off) ///
ytitle("Women - Men" "(prop.) ") ///
xlabel( .5 " " 2 "Proximity" 6 "Proximity & Family" 10 "Prefer Local Govt." 11.5 " ", noticks) ///
xtitle("") ///
ylabel(-.4(.1).4) scheme(tufte)
graph export explanation3.pdf, replace

